Start 2.9 with mods or 3.2 without?

General discussion of Tale of Two Wastelands
Post Reply
SeriousCreeper
Posts: 4
Joined: Sun Nov 18, 2018 3:42 am

Start 2.9 with mods or 3.2 without?

Post by SeriousCreeper » Mon Nov 19, 2018 8:27 pm

Heya,

i'm new to Tale of Two Wastelands, haven't used it before but just spent some time to setup 3.2 with whatever mod is currently compatible.
My main reason for trying TTW was that i wanted to play through Fallout 3 again with some mods, but have the option to use NV mods as well (such as the loot menu).
I know PN is currently only compatible if you use the Core module, not the re-balance, etc. So i'm now wondering if it would be better to play 2.9 with some of those mods, or just jump into 3.2 without any.

Does 3.2 change that much compared to 2.9 that it would be worth using it over 2.9 + mods at the moment, until more mods are compatible?

Cheers,
SC

User avatar
IvoryOwl
Posts: 72
Joined: Fri Oct 20, 2017 4:35 pm

Re: Start 2.9 with mods or 3.2 without?

Post by IvoryOwl » Mon Nov 19, 2018 11:58 pm

3.2 has received a great deal of bug-fixes, tweaks and QoL improvements over 2.9.
The major question is; are you going to stick with the legacy version? Because it doesn't make much sense to start a run now only to abandon it later on for 3.2. Not to mention having to re-install everything and the possibility of saves not being compatible. There are people working on patching mods for the updated version and PN is one of the most sought after, it shouldn't take too long now. Personally I'd stick with 3.2, it may not have many mods now but will definitely get there.

SeriousCreeper
Posts: 4
Joined: Sun Nov 18, 2018 3:42 am

Re: Start 2.9 with mods or 3.2 without?

Post by SeriousCreeper » Tue Nov 20, 2018 7:23 pm

Thanks, those are good points. Ended up going with 3.2 and the PN Core + RoyBatty's JSawyer mod, that should be good enough for now! Perhaps once in PN gets a proper update i can add it to my current loadout.

Nabizzles
Posts: 4
Joined: Tue Dec 04, 2018 6:42 pm

Re: Start 2.9 with mods or 3.2 without?

Post by Nabizzles » Fri Dec 07, 2018 1:35 pm

After loading everything up, I think I'm gonna delay my playthrough until more mods are compatible. I've already played FO3 and FNV although seeing Fallout 3 working on Windows 10 was amazing.

This youtube video is what got me really excited to try out TTW: https://www.youtube.com/watch?v=Bwjdogxy-64

Being able to augment the experience and have that new experience span both wastelands blew my mind... So now that I've loaded 3.2 up - I have some questions for y'all if you don't mind.

How long do y'all think till a lot of those mods will finally be compatible with 3.2? Are we talking months or years?

Should I try to play 2.9 with all those mods? Is 2.9 even downloadable, anymore? Where would I even find the versions of those mods that would work with 2.9?

If I decide to start a playthrough with 3.2, won't I have to start my game over again once all those New Companion/Quest mods finally get converted over to 3.2?

Thanks in advance! Both for answering the questions and for making this awesome mod!

STREET_BLAZER
Posts: 19
Joined: Fri Sep 14, 2018 4:27 am

Re: Start 2.9 with mods or 3.2 without?

Post by STREET_BLAZER » Wed Dec 26, 2018 4:36 am

These are good questions- just know that at the end of the day, nothing is "guaranteed" pertaining to mod conversions for 3.2. In its current state, there are a large number of bug reports as it is, let alone compatibility issues with other mods. While I can provide you with a copy of 2.9, I'd like to point out that if you don't already have a load order tailored to it, there's no reason to use it over 3.2 since any and all conversions for 2.9 were deceitfully removed from this website in an attempt to better promote 3.2.

For now, the fact of the matter is that when you upgrade to 3.2, you are effectively shutting yourself off from the rest of the modding community. You put yourself at the mercy of someone else's work to make a conversion patch which may or may not function as intended. The process for trouble shooting compatibility issues takes time, it's a lot of trial and error, and what little manpower the TTW team has available appears to mostly go into bug fixes for 3.2 (for the time being, anyways).

Edit: to answer another question of yours- no, saves are not transferable between 2.9 and 3.2

Enclave44Remnants
Posts: 1
Joined: Fri Feb 15, 2019 3:33 am

Re: Start 2.9 with mods or 3.2 without?

Post by Enclave44Remnants » Fri Feb 15, 2019 3:56 am

STREET_BLAZER wrote:
Wed Dec 26, 2018 4:36 am
These are good questions- just know that at the end of the day, nothing is "guaranteed" pertaining to mod conversions for 3.2. In its current state, there are a large number of bug reports as it is, let alone compatibility issues with other mods. While I can provide you with a copy of 2.9, I'd like to point out that if you don't already have a load order tailored to it, there's no reason to use it over 3.2 since any and all conversions for 2.9 were deceitfully removed from this website in an attempt to better promote 3.2.

For now, the fact of the matter is that when you upgrade to 3.2, you are effectively shutting yourself off from the rest of the modding community. You put yourself at the mercy of someone else's work to make a conversion patch which may or may not function as intended. The process for trouble shooting compatibility issues takes time, it's a lot of trial and error, and what little manpower the TTW team has available appears to mostly go into bug fixes for 3.2 (for the time being, anyways).

Edit: to answer another question of yours- no, saves are not transferable between 2.9 and 3.2

Is there anywhere you can put this download? I'm trying to use 2.9 again since NONE of the mods I used before are compatible and there is no reason for me to restart all my saves.

User avatar
RoyBatty
Posts: 6515
Joined: Sun Apr 27, 2014 10:26 am
Location: Vault 108

Re: Start 2.9 with mods or 3.2 without?

Post by RoyBatty » Fri Feb 15, 2019 6:26 am

No.
Image

Post Reply